Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
MyTraits Struct Reference
Inheritance diagram for MyTraits:

## Classes
struct | VertexT

## Public Types
typedef OpenMesh::Vec3d | Point
typedef OpenMesh::Vec3d | Point
typedef OpenMesh::Vec3f | Point
typedef OpenMesh::Vec3f | Normal
Public Types inherited from OpenMesh::DefaultTraits
typedef Vec3f | Point
| The default coordinate type is OpenMesh::Vec3f.
typedef Vec3f | Normal
| The default normal type is OpenMesh::Vec3f.
typedef float | TexCoord1D
| The default 1D texture coordinate type is float.
typedef Vec2f | TexCoord2D
| The default 2D texture coordinate type is OpenMesh::Vec2f.
typedef Vec3f | TexCoord3D
| The default 3D texture coordinate type is OpenMesh::Vec3f.
typedef int | TextureIndex
| The default texture index type.
typedef Vec3uc | Color
| The default color type is OpenMesh::Vec3uc.

## Public Member Functions
| VertexAttributes (OpenMesh::DefaultAttributer::Normal|OpenMesh::DefaultAttributer::Color)
| HalfedgeAttributes (OpenMesh::DefaultAttributer::PrevHalfedge)
| FaceAttributes (OpenMesh::DefaultAttributer::Normal)
| VertexAttributes (OpenMesh::Attributes::Normal|OpenMesh::Attributes::Color)
| FaceAttributes (OpenMesh::Attributes::Normal)
| VertexT ()
const Point & | cog () const
void | set_cog (const Point &_p)
| VertexAttributes (Attributes::Normal)
| FaceAttributes (Attributes::Normal)
| VertexAttributes (OpenMesh::Attributes::Normal|OpenMesh::Attributes::Color|OpenMesh::Attributes::TexCoord2D)
| HalfedgeAttributes (OpenMesh::Attributes::PrevHalfedge)
| FaceAttributes (OpenMesh::Attributes::Normal|OpenMesh::Attributes::Color)
| VertexAttributes (OpenMesh::Attributes::Normal|OpenMesh::Attributes::Status)
| EdgeAttributes (OpenMesh::Attributes::Status)
| HalfedgeAttributes (OpenMesh::Attributes::PrevHalfedge)
| FaceAttributes (OpenMesh::Attributes::Normal|OpenMesh::Attributes::Status)
| HalfedgeAttributes (OpenMesh::Attributes::PrevHalfedge)
| VertexT ()
const Point & | cog () const
void | set_cog (const Point &_p)
| VertexAttributes (OpenMesh::Attributes::Status)
| FaceAttributes (OpenMesh::Attributes::Status)
| EdgeAttributes (OpenMesh::Attributes::Status)
Public Member Functions inherited from OpenMesh::DefaultTraits
| VertexAttributes (0)
| HalfedgeAttributes (Attributes::PrevHalfedge)
| EdgeAttributes (0)
| FaceAttributes (0)

## Public Attributes
| VertexTraits
Base::Refs::FaceHandle | my_face_handle

## Detailed Description

Definition at line 5 of file mymesh.cc.

## Member Data Documentation

MyTraits::VertexTraits

Initial value:
{
typename Base::Refs::FaceHandle my_face_handle

Definition at line 22 of file mymesh.cc.

The documentation for this struct was generated from the following files:

- libs_required/OpenMesh/Doc/Examples/mymesh.cc
- libs_required/OpenMesh/Doc/Examples/traits1.cc
- libs_required/OpenMesh/src/OpenMesh/Apps/Smoothing/smooth.cc
- libs_required/OpenMesh/Doc/Examples/traits2.cc
- libs_required/OpenMesh/Doc/Examples/traits4.cc
- libs_required/OpenMesh/Doc/Examples/traits5.cc
- libs_required/OpenMesh/src/OpenMesh/Apps/Decimating/DecimaterViewerWidget.hh
- libs_required/OpenMesh/src/OpenMesh/Apps/mconvert/mconvert.cc
- libs_required/OpenMesh/src/OpenMesh/Apps/ProgViewer/ProgViewerWidget.hh
- libs_required/OpenMesh/src/OpenMesh/Apps/QtViewer/MeshViewerWidget.hh
- libs_required/OpenMesh/src/OpenMesh/Examples/Tutorial08/delete_geometry.cc